![PyCAM Logo](img/pycam-logo-600.png)

PyCAM is a toolpath generator for 3-axis CNC machining.
It loads 3D models in STL format or 2D contour models from DXF or SVG files.
The resulting [G-Code](https://en.wikipedia.org/wiki/G-code) can be used
with [LinuxCNC](http://www.linuxcnc.org/) or any other machine controller.

PyCAM supports a wide range of toolpath strategies for 3D models and 2D contour models.
Take a look at the [Features](features.md) page for a full list features.

PyCAM runs on Linux, <del>Windows</del> and <del>MacOS</del>. It is free software licensed under the
[GPL v3](https://www.gnu.org/licenses/gpl-3.0).

## Download

Work on PyCAM has paused for five years between 2012 (v0.5.1) and 2017 (v0.6.0).
Currently the code base is being modernized in order to make PyCAM run on recent operating systems
and libraries.

New releases are available from the GitHub releases page:
<https://github.com/SebKuzminsky/pycam/releases>

The Debian package installs and runs on Debian Jessie and Stretch. The
source code may work on other platforms, like Windows and Mac, but is untested.
Before installing you might want to take a look at the [System requirements](requirements.md).

Older releases are still available on the
[SourceForge download page](https://sourceforge.net/projects/pycam/files/pycam/).

## Resources

* [Development](https://github.com/SebKuzminsky/pycam)
* [Getting started](getting-started.md) / [FAQ](faq.md)
* [Video tutorials](http://vimeo.com/channels/pycam) / [Screenshots](screenshots.md)
* [Mailing lists](https://sourceforge.net/p/pycam/mailman/)
* [Issue Tracker](https://github.com/SebKuzminsky/pycam/issues)
